#ifndef _PINS_HPP_
#define _PINS_HPP_

#include "syselmts.hpp"

class Module : public SystemElement
{
public:
    Module(std::string name);
};

class Modules : public SystemElementContainer<Module>
{
public:
    Modules(void);
    Modules(std::vector<Module> pins);
};

#endif // _PINS_HPP_